Open Lighting Architecture: ola::rdm::RDMAPI Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::RDMAPI Class Reference

## Public Member Functions
| RDMAPI (class RDMAPIImplInterface *impl)
uint8_t | OutstandingMessagesCount (const UID &uid)
bool | GetProxiedDeviceCount (unsigned int universe, const UID &uid, ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, bool > *callback, std::string *error)
bool | GetProxiedDevices (unsigned int universe, const UID &uid, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< UID > & > *callback, std::string *error)
bool | GetCommStatus (unsigned int universe, const UID &uid, ola::SingleUseCallback4< void, const ResponseStatus &, uint16_t, uint16_t, uint16_t > *callback, std::string *error)
bool | ClearCommStatus (unsigned int universe, const UID &uid, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetQueuedMessage (unsigned int universe, const UID &uid, rdm_status_type status_type, QueuedMessageHandler *handler, std::string *error)
bool | GetQueuedMessage (unsigned int universe, const UID &uid, rdm_status_type status_type, ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > *callback, std::string *error)
bool | GetStatusMessage (unsigned int universe, const UID &uid, rdm_status_type status_type, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< StatusMessage > & > *callback, std::string *error)
bool | GetStatusIdDescription (unsigned int universe, const UID &uid, uint16_t status_id, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | ClearStatusId (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetSubDeviceReporting (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetSubDeviceReporting (unsigned int universe, const UID &uid, uint16_t sub_device, rdm_status_type status_type, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetSupportedParameters (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< uint16_t > & > *callback, std::string *error)
bool | GetParameterDescription (unsigned int universe, const UID &uid, uint16_t pid, ola::SingleUseCallback2< void, const ResponseStatus &, const ParameterDescriptor & > *callback, std::string *error)
bool | GetDeviceInfo (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const DeviceDescriptor & > *callback, std::string *error)
bool | GetProductDetailIdList (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< uint16_t > & > *callback, std::string *error)
bool | GetDeviceModelDescription (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | GetManufacturerLabel (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | GetDeviceLabel (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | SetDeviceLabel (unsigned int universe, const UID &uid, uint16_t sub_device, const std::string &label, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetFactoryDefaults (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, bool > *callback, std::string *error)
bool | ResetToFactoryDefaults (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetLanguageCapabilities (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< std::string > & > *callback, std::string *error)
bool | GetLanguage (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | SetLanguage (unsigned int universe, const UID &uid, uint16_t sub_device, const std::string &language, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetSoftwareVersionLabel (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | GetBootSoftwareVersion (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, std::string *error)
bool | GetBootSoftwareVersionLabel (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | GetDMXPersonality (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback3< void, const ResponseStatus &, uint8_t, uint8_t > *callback, std::string *error)
bool | SetDMXPersonality (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t personality, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDMXPersonalityDescription (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t personality, ola::SingleUseCallback4< void, const ResponseStatus &, uint8_t, uint16_t, const std::string & > *callback, std::string *error)
bool | GetDMXAddress (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint16_t > *callback, std::string *error)
bool | SetDMXAddress (unsigned int universe, const UID &uid, uint16_t sub_device, uint16_t start_address, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetSlotInfo (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< SlotDescriptor > & > *callback, std::string *error)
bool | GetSlotDescription (unsigned int universe, const UID &uid, uint16_t sub_device, uint16_t slot_offset, ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > *callback, std::string *error)
bool | GetSlotDefaultValues (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< SlotDefault > & > *callback, std::string *error)
bool | GetSensorDefinition (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t sensor_number, ola::SingleUseCallback2< void, const ResponseStatus &, const SensorDescriptor & > *callback, std::string *error)
bool | GetSensorValue (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t sensor_number, ola::SingleUseCallback2< void, const ResponseStatus &, const SensorValueDescriptor & > *callback, std::string *error)
bool | SetSensorValue (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t sensor_number, ola::SingleUseCallback2< void, const ResponseStatus &, const SensorValueDescriptor & > *callback, std::string *error)
bool | RecordSensors (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t sensor_number, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDeviceHours (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, std::string *error)
bool | SetDeviceHours (unsigned int universe, const UID &uid, uint16_t sub_device, uint32_t device_hours, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetLampHours (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, std::string *error)
bool | SetLampHours (unsigned int universe, const UID &uid, uint16_t sub_device, uint32_t lamp_hours, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetLampStrikes (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, std::string *error)
bool | SetLampStrikes (unsigned int universe, const UID &uid, uint16_t sub_device, uint32_t lamp_strikes, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetLampState (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetLampState (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t lamp_state, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetLampMode (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetLampMode (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t lamp_mode, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDevicePowerCycles (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, std::string *error)
bool | SetDevicePowerCycles (unsigned int universe, const UID &uid, uint16_t sub_device, uint32_t power_cycles, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDisplayInvert (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetDisplayInvert (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t display_invert, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDisplayLevel (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetDisplayLevel (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t display_level, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetPanInvert (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetPanInvert (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t invert, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetTiltInvert (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetTiltInvert (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t invert, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetPanTiltSwap (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetPanTiltSwap (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t swap, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetClock (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const ClockValue & > *callback, std::string *error)
bool | SetClock (unsigned int universe, const UID &uid, uint16_t sub_device, const ClockValue &clock, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetIdentifyDevice (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, bool > *callback, std::string *error)
bool | IdentifyDevice (unsigned int universe, const UID &uid, uint16_t sub_device, bool mode, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | ResetDevice (unsigned int universe, const UID &uid, uint16_t sub_device, bool warm_reset, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetPowerState (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, std::string *error)
bool | SetPowerState (unsigned int universe, const UID &uid, uint16_t sub_device, rdm_power_state power_state, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | SetResetDevice (unsigned int universe, const UID &uid, uint16_t sub_device, rdm_reset_device_mode reset_device, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDnsHostname (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | SetDnsHostname (unsigned int universe, const UID &uid, uint16_t sub_device, const std::string &label, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | GetDnsDomainName (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, std::string *error)
bool | SetDnsDomainName (unsigned int universe, const UID &uid, uint16_t sub_device, const std::string &label, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | SelfTestEnabled (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback2< void, const ResponseStatus &, bool > *callback, std::string *error)
bool | PerformSelfTest (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t self_test_number, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | SelfTestDescription (unsigned int universe, const UID &uid, uint16_t sub_device, uint8_t self_test_number, ola::SingleUseCallback3< void, const ResponseStatus &, uint8_t, const std::string & > *callback, std::string *error)
bool | CapturePreset (unsigned int universe, const UID &uid, uint16_t sub_device, uint16_t scene, uint16_t fade_up_time, uint16_t fade_down_time, uint16_t wait_time, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
bool | PresetPlaybackMode (unsigned int universe, const UID &uid, uint16_t sub_device, ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, uint8_t > *callback, std::string *error)
bool | SetPresetPlaybackMode (unsigned int universe, const UID &uid, uint16_t sub_device, uint16_t playback_mode, uint8_t level, ola::SingleUseCallback1< void, const ResponseStatus & > *callback, std::string *error)
void | _HandleCustomLengthLabelResponse (ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, uint8_t length, const ResponseStatus &status, const std::string &data)
void | _HandleLabelResponse (ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleBoolResponse (ola::SingleUseCallback2< void, const ResponseStatus &, bool > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleU8Response (ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleU32Response (ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleEmptyResponse (ola::SingleUseCallback1< void, const ResponseStatus & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetProxiedDeviceCount (ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, bool > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetProxiedDevices (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< UID > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetCommStatus (ola::SingleUseCallback4< void, const ResponseStatus &, uint16_t, uint16_t, uint16_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleQueuedMessage (QueuedMessageHandler *handler, const ResponseStatus &status, uint16_t pid, const std::string &data)
void | _HandleGetStatusMessage (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< StatusMessage > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSubDeviceReporting (ola::SingleUseCallback2< void, const ResponseStatus &, uint8_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSupportedParameters (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< uint16_t > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetParameterDescriptor (ola::SingleUseCallback2< void, const ResponseStatus &, const ParameterDescriptor & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetDeviceDescriptor (ola::SingleUseCallback2< void, const ResponseStatus &, const DeviceDescriptor & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetProductDetailIdList (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< uint16_t > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetLanguageCapabilities (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< std::string > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetLanguage (ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetBootSoftwareVersion (ola::SingleUseCallback2< void, const ResponseStatus &, uint32_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetDMXPersonality (ola::SingleUseCallback3< void, const ResponseStatus &, uint8_t, uint8_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetDMXPersonalityDescription (ola::SingleUseCallback4< void, const ResponseStatus &, uint8_t, uint16_t, const std::string & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetDMXAddress (ola::SingleUseCallback2< void, const ResponseStatus &, uint16_t > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSlotInfo (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< SlotDescriptor > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSlotDescription (ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSlotDefaultValues (ola::SingleUseCallback2< void, const ResponseStatus &, const std::vector< SlotDefault > & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleGetSensorDefinition (ola::SingleUseCallback2< void, const ResponseStatus &, const SensorDescriptor & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleSensorValue (ola::SingleUseCallback2< void, const ResponseStatus &, const SensorValueDescriptor & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleClock (ola::SingleUseCallback2< void, const ResponseStatus &, const ClockValue & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandleSelfTestDescription (ola::SingleUseCallback3< void, const ResponseStatus &, uint8_t, const std::string & > *callback, const ResponseStatus &status, const std::string &data)
void | _HandlePlaybackMode (ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, uint8_t > *callback, const ResponseStatus &status, const std::string &data)

## Member Function Documentation

## ◆ _HandlePlaybackMode()

void ola::rdm::RDMAPI::_HandlePlaybackMode | ( | ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, uint8_t > * | callback,
|  | const ResponseStatus & | status,
|  | const std::string & | data )

Handle a PID_PRESET_PLAYBACK response

## ◆ _HandleSelfTestDescription()

void ola::rdm::RDMAPI::_HandleSelfTestDescription | ( | ola::SingleUseCallback3< void, const ResponseStatus &, uint8_t, const std::string & > * | callback,
|  | const ResponseStatus & | status,
|  | const std::string & | data )

Handle a PID_SELF_TEST_DESCRIPTION response.

## ◆ GetQueuedMessage() [1/2]

bool ola::rdm::RDMAPI::GetQueuedMessage | ( | unsigned int | universe,
|  | const UID & | uid,
|  | rdm_status_type | status_type,
|  | ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > * | callback,
|  | std::string * | error )

Send a queued message request. When complete the callback will be run and it's up to the caller to decode the message based on the PID.

## ◆ GetQueuedMessage() [2/2]

bool ola::rdm::RDMAPI::GetQueuedMessage | ( | unsigned int | universe,
|  | const UID & | uid,
|  | rdm_status_type | status_type,
|  | QueuedMessageHandler * | handler,
|  | std::string * | error )

Send a queued message request.

The documentation for this class was generated from the following files:

- include/ola/rdm/RDMAPI.h
- common/rdm/RDMAPI.cpp